Index: Makefile.target
===================================================================
--- Makefile.target	(revision 4734)
+++ Makefile.target	(working copy)
@@ -466,7 +466,7 @@
 # System emulator target
 ifndef CONFIG_USER_ONLY
 
-OBJS=vl.o osdep.o monitor.o pci.o loader.o isa_mmio.o machine.o
+OBJS=vl.o osdep.o device.o monitor.o pci.o loader.o isa_mmio.o machine.o
 ifdef CONFIG_WIN32
 OBJS+=block-raw-win32.o
 else
